
/* Terminate when data is available on standard in */

#include <stdio.h>
#include <sys/types.h>
#include <sys/time.h>

void main (argc, argv)
int argc ;
char *argv [] ;
{
   int width = 1 ;
   fd_set readfds, writefds, exceptfds ;
   int result ;
  
   FD_ZERO (&readfds) ;
   FD_ZERO (&writefds) ;
   FD_ZERO (&exceptfds) ;
   FD_SET  (0, &readfds) ;

   result = select (width, &readfds, &writefds, &exceptfds, NULL) ;
   printf ("result = %d\n", result) ;
   if (result != 1)
   {
     printf ("bad termination\n") ;
     exit (1) ;
   }
   printf ("good termination\n") ;
}

